## indi 1.9.9+dfsg

=== drivers/CMakeLists.txt ===
add_subdirectory(telescope)
add_subdirectory(ccd)
add_subdirectory(focuser)
add_subdirectory(rotator)
add_subdirectory(filter_wheel)
add_subdirectory(dome)
add_subdirectory(auxiliary)
add_subdirectory(receiver)
add_subdirectory(weather)
add_subdirectory(agent)
add_subdirectory(video)

=== indiserver/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(indiserver CXX)

if(WIN32 OR ANDROID)
    message(WARNING "INDI Server is only supported under Linux, BSD, MacOS, and Cygwin while current system is " ${CMAKE_SYSTEM_NAME})
else()
    find_package(Threads REQUIRED)
    find_package(Libev REQUIRED)

    add_executable(${PROJECT_NAME} indiserver.cpp)

    target_link_libraries(indiserver indicore ${CMAKE_THREAD_LIBS_INIT} ${LIBEV_LIBRARIES})
    target_include_directories(indiserver SYSTEM PRIVATE ${LIBEV_INCLUDE_DIRS})

    install(TARGETS indiserver RUNTIME DESTINATION bin)
endif(WIN32 OR ANDROID)

=== integs/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.0)

FIND_PACKAGE (GTest REQUIRED)

INCLUDE_DIRECTORIES ( ${GTEST_INCLUDE_DIRS} )

include(GoogleTest)

ENABLE_TESTING()


MESSAGE (STATUS "INTEG:GTEST_INCLUDE_DIRS ${GTEST_INCLUDE_DIRS}")
MESSAGE (STATUS "INTEG:GTEST_LIBRARIES ${GTEST_LIBRARIES}")


# Workaround for fixing a linking error caused by "-pie" flag in CMakeCommon
STRING(REPLACE "-pie" "" CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS})

add_executable(fakedriver fakedriver.cpp utils.cpp)

add_executable(XmlAwaiterTest XmlAwaiterTest.cpp XmlAwaiter.cpp)
target_link_libraries(XmlAwaiterTest ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
gtest_discover_tests(XmlAwaiterTest PROPERTIES TIMEOUT 5)

set(TestCommonSources DriverMock.cpp ConnectionMock.cpp ProcessController.cpp IndiClientMock.cpp IndiServerController.cpp utils.cpp XmlAwaiter.cpp SharedBuffer.cpp ServerMock.cpp)

add_executable(TestIndiserverSingleDriver TestIndiserverSingleDriver.cpp ${TestCommonSources})
target_link_libraries(TestIndiserverSingleDriver ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
gtest_discover_tests(TestIndiserverSingleDriver PROPERTIES TIMEOUT 5)

add_executable(TestClientQueries TestClientQueries.cpp ${TestCommonSources})
target_link_libraries(TestClientQueries ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
gtest_discover_tests(TestClientQueries PROPERTIES TIMEOUT 5)

add_executable(TestIndiSetProp TestIndiSetProp.cpp ${TestCommonSources})
target_link_libraries(TestIndiSetProp ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
gtest_discover_tests(TestIndiSetProp PROPERTIES TIMEOUT 10)

add_executable(TestIndiClient TestIndiClient.cpp ${TestCommonSources})
target_link_libraries(TestIndiClient indiclient ${GTEST_BOTH_LIBRARIES} ${ZLIB_LIBRARY} ${NOVA_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
gtest_discover_tests(TestIndiClient PROPERTIES TIMEOUT 5)

# Inject properties for discovered tests
set_property(DIRECTORY APPEND PROPERTY
    TEST_INCLUDE_FILES ${CMAKE_CURRENT_LIST_DIR}/customTestProps.cmake
)

=== test/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.0)

FIND_PACKAGE (GMock REQUIRED)

MESSAGE (STATUS "GTEST_BOTH_LIBRARIES ${GTEST_BOTH_LIBRARIES}")
MESSAGE (STATUS "GTEST_MAIN_LIBRARIES ${GTEST_MAIN_LIBRARIES}")
MESSAGE (STATUS "GTEST_LIBRARIES ${GTEST_LIBRARIES}")
MESSAGE (STATUS "GTEST_INCLUDE_DIRS ${GTEST_INCLUDE_DIRS}")
MESSAGE (STATUS "GMOCK_LIBRARIES ${GMOCK_LIBRARIES}")
MESSAGE (STATUS "GMOCK_INCLUDE_DIRS ${GMOCK_INCLUDE_DIRS}")

ENABLE_TESTING()

INCLUDE_DIRECTORIES ( ${GTEST_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES ( ${GMOCK_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES ( ${CMAKE_SOURCE_DIR} )

# Workaround for fixing a linking error caused by "-pie" flag in CMakeCommon
STRING(REPLACE "-pie" "" CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS})

ADD_SUBDIRECTORY(core)
ADD_SUBDIRECTORY(celestrondriver)
# JM 2021-05-29: Disable LX200 Drivers test until Eric can solve the issue.
#ADD_SUBDIRECTORY(lx200drivers)
ADD_SUBDIRECTORY(drivers)
ADD_SUBDIRECTORY(scopesim_helper)
ADD_SUBDIRECTORY(alignment)

=== tools/CMakeLists.txt ===
# ########## getINDI ##############
add_executable(indi_getprop getINDIproperty.c)

target_link_libraries(indi_getprop indicore eventloop ${NOVA_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})

install(TARGETS indi_getprop RUNTIME DESTINATION bin)

# ########## setINDI ##############
add_executable(indi_setprop setINDIproperty.c)

target_link_libraries(indi_setprop indicore eventloop ${NOVA_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})

install(TARGETS indi_setprop RUNTIME DESTINATION bin)

# ########## evalINDI ##############
add_executable(indi_eval compiler.c evalINDI.c)

target_link_libraries(indi_eval indicore eventloop ${NOVA_LIBRARIES} ${M_LIB} ${ZLIB_LIBRARY})

install(TARGETS indi_eval RUNTIME DESTINATION bin)

=== drivers/dome/CMakeLists.txt ===
# ############### Dome Simulator ################
SET(domesimulator_SRC
    dome_simulator.cpp)

add_executable(indi_simulator_dome ${domesimulator_SRC})
target_link_libraries(indi_simulator_dome indidriver)
install(TARGETS indi_simulator_dome RUNTIME DESTINATION bin)

# ############### Roll Off ################
SET(rolloff_SRC
    roll_off.cpp)

add_executable(indi_rolloff_dome ${rolloff_SRC})
target_link_libraries(indi_rolloff_dome indidriver)
install(TARGETS indi_rolloff_dome RUNTIME DESTINATION bin)

# ############### Baader Dome ################
SET(baaderdome_SRC
    baader_dome.cpp)

add_executable(indi_baader_dome ${baaderdome_SRC})
target_link_libraries(indi_baader_dome indidriver)
install(TARGETS indi_baader_dome RUNTIME DESTINATION bin)

# ############### Dome Pro 2 ##$##############
SET(domepro2_SRC
    domepro2.cpp)

add_executable(indi_domepro2_dome ${domepro2_SRC})
target_link_libraries(indi_domepro2_dome indidriver)
install(TARGETS indi_domepro2_dome RUNTIME DESTINATION bin)

# ############### Rigel Dome ################
SET(rigeldome_SRC
    rigel_dome.cpp)

add_executable(indi_rigel_dome ${rigeldome_SRC})
target_link_libraries(indi_rigel_dome indidriver)
install(TARGETS indi_rigel_dome RUNTIME DESTINATION bin)

# ############### ScopeDome Dome ################
set(scopedome_SRCS
    scopedome_dome.cpp
    scopedome_usb21.cpp
    scopedome_arduino.cpp
    scopedome_sim.cpp
)

add_executable(indi_scopedome_dome ${scopedome_SRCS})
target_link_libraries(indi_scopedome_dome indidriver ${CURL})
install(TARGETS indi_scopedome_dome RUNTIME DESTINATION bin)

# ############### Technical Innovations DDW Dome ################
set(ddw_dome_SRCS
    ddw_dome.cpp
)

add_executable(indi_ddw_dome ${ddw_dome_SRCS})
target_link_libraries(indi_ddw_dome indidriver)
install(TARGETS indi_ddw_dome RUNTIME DESTINATION bin)

# ########## Dome Scripting Gateway ##############
SET(domescript_SRC
    dome_script.cpp)

add_executable(indi_script_dome ${domescript_SRC})
target_link_libraries(indi_script_dome indidriver)
install(TARGETS indi_script_dome RUNTIME DESTINATION bin)

# ########## NexDome Beaver Controller ##############
SET(nexdome_beaver_SRC
    nexdome_beaver.cpp)

add_executable(indi_nexdome_beaver ${nexdome_beaver_SRC})
target_link_libraries(indi_nexdome_beaver indidriver)
install(TARGETS indi_nexdome_beaver RUNTIME DESTINATION bin)

=== drivers/filter_wheel/CMakeLists.txt ===
# ########## XAGYL Wheel ##############
SET(xagylwheel_SRC
    xagyl_wheel.cpp)

add_executable(indi_xagyl_wheel ${xagylwheel_SRC})
target_link_libraries(indi_xagyl_wheel indidriver)
install(TARGETS indi_xagyl_wheel RUNTIME DESTINATION bin)

# ########## Filter Simulator ##############
SET(filtersimulator_SRC
    filter_simulator.cpp)

add_executable(indi_simulator_wheel ${filtersimulator_SRC})
target_link_libraries(indi_simulator_wheel indidriver)
install(TARGETS indi_simulator_wheel RUNTIME DESTINATION bin)

# ########## Manual Filter ##############
SET(manualfilter_SRC
    manual_filter.cpp)

add_executable(indi_manual_wheel ${manualfilter_SRC})
target_link_libraries(indi_manual_wheel indidriver)
install(TARGETS indi_manual_wheel RUNTIME DESTINATION bin)

# ######### Optec Wheel IFW ############
SET(optecwheel_SRC
    ifwoptec.cpp)

add_executable(indi_optec_wheel ${optecwheel_SRC})
target_link_libraries(indi_optec_wheel indidriver)
install(TARGETS indi_optec_wheel RUNTIME DESTINATION bin)

# ######### Quantum Wheel ############
SET(quantum_wheel_SRC
    quantum_wheel.cpp)

add_executable(indi_quantum_wheel ${quantum_wheel_SRC})
target_link_libraries(indi_quantum_wheel indidriver)
install(TARGETS indi_quantum_wheel RUNTIME DESTINATION bin)

# ######### TruTech Wheel ############
SET(trutechwheel_SRC
    trutech_wheel.cpp)

add_executable(indi_trutech_wheel ${trutechwheel_SRC})
target_link_libraries(indi_trutech_wheel indidriver)
install(TARGETS indi_trutech_wheel RUNTIME DESTINATION bin)

# ######### QHYCFW Wheel 1 ############
SET(qhycfw1_SRC
    qhycfw1.cpp)

add_executable(indi_qhycfw1_wheel ${qhycfw1_SRC})
target_link_libraries(indi_qhycfw1_wheel indidriver)
install(TARGETS indi_qhycfw1_wheel RUNTIME DESTINATION bin)

# ######### QHYCFW Wheel 2 ############
SET(qhycfw2_SRC
    qhycfw2.cpp)

add_executable(indi_qhycfw2_wheel ${qhycfw2_SRC})
target_link_libraries(indi_qhycfw2_wheel indidriver)
install(TARGETS indi_qhycfw2_wheel RUNTIME DESTINATION bin)

# ######### QHYCFW Wheel 3 ############
SET(qhycfw3_SRC
    qhycfw3.cpp)

add_executable(indi_qhycfw3_wheel ${qhycfw3_SRC})
target_link_libraries(indi_qhycfw3_wheel indidriver)
install(TARGETS indi_qhycfw3_wheel RUNTIME DESTINATION bin)

=== drivers/focuser/CMakeLists.txt ===
# ############### Focuser Simulator ################
SET(focussimulator_SRC
    focus_simulator.cpp)

add_executable(indi_simulator_focus ${focussimulator_SRC})
target_link_libraries(indi_simulator_focus indidriver)
install(TARGETS indi_simulator_focus RUNTIME DESTINATION bin)

# ############### Robo Focuser ################
SET(robofocus_SRC
    robofocus.cpp)

add_executable(indi_robo_focus ${robofocus_SRC})
target_link_libraries(indi_robo_focus indidriver)
install(TARGETS indi_robo_focus RUNTIME DESTINATION bin)

# ############### Robo Focuser ################
SET(fcusb_SRC
    fcusb.cpp)

add_executable(indi_fcusb_focus ${fcusb_SRC})
target_link_libraries(indi_fcusb_focus indidriver)
install(TARGETS indi_fcusb_focus RUNTIME DESTINATION bin)

# ############### Rigelsys NFocus Focuser ################
SET(nfocus_SRC
    nfocus.cpp)

add_executable(indi_nfocus ${nfocus_SRC})
target_link_libraries(indi_nfocus indidriver)
install(TARGETS indi_nfocus RUNTIME DESTINATION bin)

# ############### Rigelsys NStep Focuser ################
SET(nstep_SRC
    nstep.cpp)

add_executable(indi_nstep_focus ${nstep_SRC})
target_link_libraries(indi_nstep_focus indidriver)
install(TARGETS indi_nstep_focus RUNTIME DESTINATION bin)

# ############### PlaneWave EFA ################
SET(efa_SRC
    planewave_efa.cpp)

add_executable(indi_efa_focus ${efa_SRC})
target_link_libraries(indi_efa_focus indidriver)
install(TARGETS indi_efa_focus RUNTIME DESTINATION bin)

# ############### Celestron SCT Focuser ################
SET(celestronsct_SRC
    celestronauxpacket.cpp
    celestron.cpp)

add_executable(indi_celestron_sct_focus ${celestronsct_SRC})
target_link_libraries(indi_celestron_sct_focus indidriver)
install(TARGETS indi_celestron_sct_focus RUNTIME DESTINATION bin)

# ############### AAF2 Focuser ################
SET(aaf2_SRC
    aaf2.cpp)

add_executable(indi_aaf2_focus ${aaf2_SRC})
target_link_libraries(indi_aaf2_focus indidriver)
install(TARGETS indi_aaf2_focus RUNTIME DESTINATION bin)

# ############### AAF2 Focuser ################
SET(rbfocus_SRC
    rbfocus.cpp)

add_executable(indi_rbfocus_focus ${rbfocus_SRC})
target_link_libraries(indi_rbfocus_focus indidriver)
install(TARGETS indi_rbfocus_focus RUNTIME DESTINATION bin)

# ############### Moonlite Focuser ################
SET(moonlite_SRC
    moonlite.cpp)

add_executable(indi_moonlite_focus ${moonlite_SRC})
target_link_libraries(indi_moonlite_focus indidriver)
install(TARGETS indi_moonlite_focus RUNTIME DESTINATION bin)

# ############### Moonlite DRO Dual Focuser ################
SET(moonlitedro_SRC
    moonlite_dro.cpp)

add_executable(indi_moonlitedro_focus ${moonlitedro_SRC})
target_link_libraries(indi_moonlitedro_focus indidriver)
install(TARGETS indi_moonlitedro_focus RUNTIME DESTINATION bin)

# ############### MyFocuserPro2 Focuser ################
SET(myfocuserpro2_SRC
    myfocuserpro2.cpp)

add_executable(indi_myfocuserpro2_focus ${myfocuserpro2_SRC})
target_link_libraries(indi_myfocuserpro2_focus indidriver)
install(TARGETS indi_myfocuserpro2_focus RUNTIME DESTINATION bin)

# ############### OnFocus Focuser ################
SET(onfocus_SRC
    onfocus.cpp)

add_executable(indi_onfocus_focus ${onfocus_SRC})
target_link_libraries(indi_onfocus_focus indidriver)
install(TARGETS indi_onfocus_focus RUNTIME DESTINATION bin)

# ############### TeenAstro Focuser ################
SET(teenastro_focus_SRC
    teenastro.cpp)

add_executable(indi_teenastro_focus ${teenastro_focus_SRC})
target_link_libraries(indi_teenastro_focus indidriver)
install(TARGETS indi_teenastro_focus RUNTIME DESTINATION bin)

# ############### Sesto Senso Focuser ################
SET(sesto_SRC
    sestosenso.cpp)

add_executable(indi_sestosenso_focus ${sesto_SRC})
target_link_libraries(indi_sestosenso_focus indidriver)
install(TARGETS indi_sestosenso_focus RUNTIME DESTINATION bin)

# ############### Sesto Senso 2 Focuser ################
SET(sesto2_SRC
    sestosenso2.cpp)

add_executable(indi_sestosenso2_focus ${sesto2_SRC})
target_link_libraries(indi_sestosenso2_focus indidriver)
install(TARGETS indi_sestosenso2_focus RUNTIME DESTINATION bin)

# ############### Esatto with Arco Focuser ################
SET(esarc_SRC
    esattoarco.cpp
    primalucacommandset.cpp
)

add_executable(indi_esattoarco_focus ${esarc_SRC})
target_link_libraries(indi_esattoarco_focus indidriver)
install(TARGETS indi_esattoarco_focus RUNTIME DESTINATION bin)

# ############### Televue FocusMaster ################
# SET(focusmaster_SRC
# focusmaster.cpp)

# add_executable(indi_focusmaster_focus ${focusmaster_SRC})
# target_link_libraries(indi_focusmaster_focus indidriver)
# install(TARGETS indi_focusmaster_focus RUNTIME DESTINATION bin)

# ############### RainbowAstro RSF Focuser ################
SET(RSF_SRC
    rainbowRSF.cpp)

add_executable(indi_rainbowrsf_focus ${RSF_SRC})
target_link_libraries(indi_rainbowrsf_focus indidriver)
install(TARGETS indi_rainbowrsf_focus RUNTIME DESTINATION bin)

# ########## Lakeside ###########
set(indilakeside_SRCS lakeside.cpp)

add_executable(indi_lakeside_focus ${indilakeside_SRCS})

IF(NOT "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" AND NOT "${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
    set_target_properties(indi_lakeside_focus PROPERTIES COMPILE_FLAGS "-Wno-format-overflow")
ENDIF()

target_link_libraries(indi_lakeside_focus indidriver)
install(TARGETS indi_lakeside_focus RUNTIME DESTINATION bin)

# ############### Pegasus DMFC Focuser ################
SET(pegasus_SRC
    dmfc.cpp)

add_executable(indi_dmfc_focus ${pegasus_SRC})
target_link_libraries(indi_dmfc_focus indidriver)
install(TARGETS indi_dmfc_focus RUNTIME DESTINATION bin)

# ############### Pegasus FocusCube Focuser ################
SET(pegasusfocuscube_SRC
    pegasus_focuscube.cpp)

add_executable(indi_pegasus_focuscube ${pegasusfocuscube_SRC})
target_link_libraries(indi_pegasus_focuscube indidriver)
install(TARGETS indi_pegasus_focuscube RUNTIME DESTINATION bin)

# ############### Pegasus ProdigyMF Focuser ################
SET(pegasusprodigyMF_SRC
    pegasus_prodigyMF.cpp)

add_executable(indi_pegasus_prodigyMF ${pegasusprodigyMF_SRC})
target_link_libraries(indi_pegasus_prodigyMF indidriver)
install(TARGETS indi_pegasus_prodigyMF RUNTIME DESTINATION bin)

# ############### Pegasus ScopsOAG Focuser ################
SET(pegasusScopsoag_SRC
    pegasus_scopsoag.cpp)

add_executable(indi_pegasus_scopsoag ${pegasusScopsoag_SRC})
target_link_libraries(indi_pegasus_scopsoag indidriver)
install(TARGETS indi_pegasus_scopsoag RUNTIME DESTINATION bin)

# ################# USB Focus V3 ##################
SET(usbfocusv3_SRC
    usbfocusv3.cpp)

add_executable(indi_usbfocusv3_focus ${usbfocusv3_SRC})
target_link_libraries(indi_usbfocusv3_focus indidriver)
install(TARGETS indi_usbfocusv3_focus RUNTIME DESTINATION bin)

# ############### Microtouch Focuser ################
SET(microtouch_SRC
    microtouch.cpp)

add_executable(indi_microtouch_focus ${microtouch_SRC})
target_link_libraries(indi_microtouch_focus indidriver)
install(TARGETS indi_microtouch_focus RUNTIME DESTINATION bin)

# ############### Baader SteelDrive II Focuser ################
SET(steeldrive2_SRC
    steeldrive2.cpp)

add_executable(indi_steeldrive2_focus ${steeldrive2_SRC})
target_link_libraries(indi_steeldrive2_focus indidriver)
install(TARGETS indi_steeldrive2_focus RUNTIME DESTINATION bin)

# ############### Baader SteelDrive Focuser ################
SET(steeldrive_SRC
    steeldrive.cpp)

add_executable(indi_steeldrive_focus ${steeldrive_SRC})
target_link_libraries(indi_steeldrive_focus indidriver)
install(TARGETS indi_steeldrive_focus RUNTIME DESTINATION bin)

# ############### FocusLynx Focuser ################
SET(focuslynx_SRC
    focuslynxbase.cpp
    focuslynx.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(focuslynx focuslynx_SRC 10 cpp)
ENDIF()

add_executable(indi_lynx_focus ${focuslynx_SRC})
target_link_libraries(indi_lynx_focus indidriver)
install(TARGETS indi_lynx_focus RUNTIME DESTINATION bin)

# ############### PerfectStar Focuser ################
SET(perfectstar_SRC
    perfectstar.cpp)

add_executable(indi_perfectstar_focus ${perfectstar_SRC})
target_link_libraries(indi_perfectstar_focus indidriver)
install(TARGETS indi_perfectstar_focus RUNTIME DESTINATION bin)

# ############### Starlight Instruments EFS ################
SET(siefs_SRC
    si_efs.cpp)

add_executable(indi_siefs_focus ${siefs_SRC})
target_link_libraries(indi_siefs_focus indidriver)
install(TARGETS indi_siefs_focus RUNTIME DESTINATION bin)

# ############### hitechfocus Focuser ################
SET(hitecastrodcfocuser_SRC
    hitecastrodcfocuser.cpp)

add_executable(indi_hitecastrodc_focus ${hitecastrodcfocuser_SRC})
target_link_libraries(indi_hitecastrodc_focus indidriver)
install(TARGETS indi_hitecastrodc_focus RUNTIME DESTINATION bin)

# ############### DeepSky Dad AF1 ################
SET(deepskydad_af1_SRC
    deepskydad_af1.cpp)

add_executable(indi_deepskydad_af1_focus ${deepskydad_af1_SRC})
target_link_libraries(indi_deepskydad_af1_focus indidriver)
install(TARGETS indi_deepskydad_af1_focus RUNTIME DESTINATION bin)

# ############### DeepSky Dad AF2 ################
SET(deepskydad_af2_SRC
    deepskydad_af2.cpp)

add_executable(indi_deepskydad_af2_focus ${deepskydad_af2_SRC})
target_link_libraries(indi_deepskydad_af2_focus indidriver)
install(TARGETS indi_deepskydad_af2_focus RUNTIME DESTINATION bin)

# ############### DeepSky Dad AF3 ################
SET(deepskydad_af3_SRC
    deepskydad_af3.cpp)

add_executable(indi_deepskydad_af3_focus ${deepskydad_af3_SRC})
target_link_libraries(indi_deepskydad_af3_focus indidriver)
install(TARGETS indi_deepskydad_af3_focus RUNTIME DESTINATION bin)

# ############### JMI Smart Focus Focuser ################
SET(smartfocus_SRC
    smartfocus.cpp)

add_executable(indi_smartfocus_focus ${smartfocus_SRC})
target_link_libraries(indi_smartfocus_focus indidriver)
install(TARGETS indi_smartfocus_focus RUNTIME DESTINATION bin)

# ############### Optec TCF-S ################
SET(tcfs_SRC
    tcfs.cpp)

add_executable(indi_tcfs_focus ${tcfs_SRC})

target_link_libraries(indi_tcfs_focus indidriver)
install(TARGETS indi_tcfs_focus RUNTIME DESTINATION bin)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_tcfs_symlink.cmake
    "exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_tcfs_focus \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_tcfs3_focus)\n")
set_target_properties(indi_tcfs_focus PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_tcfs_symlink.cmake)

# ############### Lacerta MFOC Focuser ################
SET(lacerta_mfoc_SRC
    lacerta_mfoc.cpp)

add_executable(indi_lacerta_mfoc_focus ${lacerta_mfoc_SRC})
target_link_libraries(indi_lacerta_mfoc_focus indidriver)
install(TARGETS indi_lacerta_mfoc_focus RUNTIME DESTINATION bin)

# ############### Active Focuser ################
SET(activefocuser_SRC
    activefocuser.cpp
    activefocuser_utils.cpp
    activefocuser_utils.h)

add_executable(indi_activefocuser_focus ${activefocuser_SRC})

target_link_libraries(indi_activefocuser_focus indidriver)
install(TARGETS indi_activefocuser_focus RUNTIME DESTINATION bin)

=== drivers/rotator/CMakeLists.txt ===
# ############### Rigelsys nFrame Rotator ################
SET(nframe_SRC
    nframe.cpp)

add_executable(indi_nframe_rotator ${nframe_SRC})
target_link_libraries(indi_nframe_rotator indidriver)
install(TARGETS indi_nframe_rotator RUNTIME DESTINATION bin)

# ############### Rotator Simulator ########
SET(rotatorsim_SRC
    rotator_simulator.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(rotatorsim rotatorsim_SRC 10 cpp)
ENDIF()

add_executable(indi_simulator_rotator ${rotatorsim_SRC})
target_link_libraries(indi_simulator_rotator indidriver)
install(TARGETS indi_simulator_rotator RUNTIME DESTINATION bin)

# ############### Optec Gemini Focusing Rotator ########
SET(gemini_SRC
    gemini.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(gemini gemini_SRC 10 cpp)
ENDIF()

add_executable(indi_gemini_focus ${gemini_SRC})
target_link_libraries(indi_gemini_focus indidriver)
install(TARGETS indi_gemini_focus RUNTIME DESTINATION bin)

# ############### NightCrawler Focusing Rotator ################
SET(nightcrawler_SRC
    nightcrawler.cpp)

add_executable(indi_nightcrawler_focus ${nightcrawler_SRC})
target_link_libraries(indi_nightcrawler_focus indidriver)
install(TARGETS indi_nightcrawler_focus RUNTIME DESTINATION bin)

# ############### Pyxis Rotator ################
SET(pyxis_SRC
    pyxis.cpp)

add_executable(indi_pyxis_rotator ${pyxis_SRC})
target_link_libraries(indi_pyxis_rotator indidriver)
install(TARGETS indi_pyxis_rotator RUNTIME DESTINATION bin)

# ############### Falcon Rotator ################
SET(falcon_SRC
    pegasus_falcon.cpp)

add_executable(indi_falcon_rotator ${falcon_SRC})
target_link_libraries(indi_falcon_rotator indidriver)
install(TARGETS indi_falcon_rotator RUNTIME DESTINATION bin)

# ############### Wanderer Rotator Lite ################
SET(WandererRotatorLite_SRC
    wanderer_rotator_lite.cpp)

add_executable(indi_wanderer_lite_rotator ${WandererRotatorLite_SRC})
target_link_libraries(indi_wanderer_lite_rotator indidriver)
install(TARGETS indi_wanderer_lite_rotator RUNTIME DESTINATION bin)

# ############### Integra85 Focusing Rotator ################
SET(integra_SRC
    integra.cpp)

add_executable(indi_integra_focus ${integra_SRC})
target_link_libraries(indi_integra_focus indidriver)
install(TARGETS indi_integra_focus RUNTIME DESTINATION bin)

# ########## Deep Sky Dad FR1 ###############
SET(deepskydad_fr1_SRC
    deepskydad_fr1.cpp)

add_executable(indi_deepskydad_fr1 ${deepskydad_fr1_SRC})
target_link_libraries(indi_deepskydad_fr1 indidriver)
install(TARGETS indi_deepskydad_fr1 RUNTIME DESTINATION bin)

=== drivers/telescope/CMakeLists.txt ===
# ###################################################################################################
#
# Component   : LX200 Library
# Dependencies: pthreads
# Supported OS: Linux, BSD, MacOS, Cygwin
#
# ################################################################################################

add_library(indilx200 SHARED
    lx200driver.cpp
    lx200telescope.cpp)

if(NOT CYGWIN AND NOT WIN32)
    set_target_properties(indilx200 PROPERTIES COMPILE_FLAGS "-fPIC")
endif(NOT CYGWIN AND NOT WIN32)

target_compile_definitions(indilx200 PRIVATE "-DHAVE_LIBNOVA")
set_target_properties(indilx200 PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION} OUTPUT_NAME indilx200)

target_link_libraries(indilx200 indidevice)

install(TARGETS indilx200 LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES
    lx200telescope.h
    lx200driver.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libindi/mounts
    COMPONENT Devel)

# ################################################################################

# ########## LX200 Basic #############
add_executable(indi_lx200basic
    lx200driver.cpp
    lx200basic.cpp)

target_link_libraries(indi_lx200basic indidriver)

install(TARGETS indi_lx200basic RUNTIME DESTINATION bin)

# ################################################################################

# ########## LX200 TeenAstro #############
add_executable(indi_lx200_TeenAstro
    lx200driver.cpp
    lx200_TeenAstro.cpp)

target_link_libraries(indi_lx200_TeenAstro indidriver)

install(TARGETS indi_lx200_TeenAstro RUNTIME DESTINATION bin)

# ################################################################################

# ########## LX200 Generic ###########
add_executable(indi_lx200generic
    lx200driver.cpp
    lx200autostar.cpp
    lx200_16.cpp
    lx200gps.cpp
    lx200generic.cpp
    lx200telescope.cpp
    lx200classic.cpp
    lx200gemini.cpp
    lx200zeq25.cpp
    lx200am5.cpp
    lx200gotonova.cpp
    lx200pulsar2.cpp
    lx200apdriver.cpp
    lx200ap.cpp
    lx200ap_v2.cpp
    lx200ap_gtocp2.cpp
    lx200fs2.cpp
    lx200ss2000pc.cpp
    lx200_OnStep.cpp
    lx200_OpenAstroTech.cpp
    lx200_10micron.cpp
    ioptronHC8406.cpp
    eq500x.cpp)

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    target_compile_definitions(indi_lx200generic PRIVATE -D_XOPEN_SOURCE=700)
ELSE()
    target_compile_definitions(indi_lx200generic PRIVATE -D_XOPEN_SOURCE=600 -D_POSIX_C_SOURCE=200809L)
ENDIF()

target_link_libraries(indi_lx200generic indidriver)

install(TARGETS indi_lx200generic RUNTIME DESTINATION bin)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
    "exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap_v2)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap_gtocp2)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gemini)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200zeq25)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200am5)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gotonova)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200pulsar2)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ss2000pc)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_OnStep)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_OpenAstroTech)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_10micron)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_ioptronHC8406)\n
exec_program(\"${CMAKE_COMMAND}\" ARGS -E create_symlink indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_eq500x_telescope)\n
")
set_target_properties(indi_lx200generic PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake)

# ################################################################################

# ########## Celestron GPS ############
add_executable(indi_celestron_gps
    celestrondriver.cpp
    celestrongps.cpp)

target_link_libraries(indi_celestron_gps indidriver)

install(TARGETS indi_celestron_gps RUNTIME DESTINATION bin)

# ########## Rainbow Mount driver ##########
add_executable(indi_rainbow_telescope
    rainbow.cpp
    lx200driver.cpp)

target_link_libraries(indi_rainbow_telescope indidriver)

install(TARGETS indi_rainbow_telescope RUNTIME DESTINATION bin)

# ########## HOBYM / TitanTCS for CRUX Mount ##########
add_executable(indi_crux_mount
    crux_mount.cpp)

target_link_libraries(indi_crux_mount indidriver)

install(TARGETS indi_crux_mount RUNTIME DESTINATION bin)

# ########## Takahashi Temma ##########
add_executable(indi_temma_telescope
    temmadriver.cpp)

target_link_libraries(indi_temma_telescope indidriver AlignmentDriver)

install(TARGETS indi_temma_telescope RUNTIME DESTINATION bin)

# ########## Paramount ##########
add_executable(indi_paramount_telescope
    paramount.cpp)

target_link_libraries(indi_paramount_telescope indidriver)

install(TARGETS indi_paramount_telescope RUNTIME DESTINATION bin)

# ########## Astrotrac ##########
add_executable(indi_astrotrac_telescope
    astrotrac.cpp)

target_link_libraries(indi_astrotrac_telescope indidriver AlignmentDriver)

install(TARGETS indi_astrotrac_telescope RUNTIME DESTINATION bin)

# ########## Syncscan ###############
add_executable(indi_synscan_telescope
    synscandriver.cpp
    synscanmount.cpp)

target_link_libraries(indi_synscan_telescope indidriver AlignmentDriver)

install(TARGETS indi_synscan_telescope RUNTIME DESTINATION bin)

# ########## Syncscan Legacy ###############
add_executable(indi_synscanlegacy_telescope
    synscandriverlegacy.cpp
    synscanmountlegacy.cpp)

target_link_libraries(indi_synscanlegacy_telescope indidriver AlignmentDriver)

install(TARGETS indi_synscanlegacy_telescope RUNTIME DESTINATION bin)

# ########## Sky Commander ###############
add_executable(indi_skycommander_telescope
    skycommander.cpp)

target_link_libraries(indi_skycommander_telescope indidriver)

install(TARGETS indi_skycommander_telescope RUNTIME DESTINATION bin)

# ########## Generic Digital Setting Circle ###############
add_executable(indi_dsc_telescope
    dsc.cpp)

target_link_libraries(indi_dsc_telescope indidriver AlignmentDriver)

install(TARGETS indi_dsc_telescope RUNTIME DESTINATION bin)

# ########## IEQ Pro Legacy #############
add_executable(indi_ieqlegacy_telescope
    ieqprolegacydriver.cpp
    ieqprolegacy.cpp)

target_link_libraries(indi_ieqlegacy_telescope indidriver)

install(TARGETS indi_ieqlegacy_telescope RUNTIME DESTINATION bin)

# ########## IEQ Pro #############
add_executable(indi_ieq_telescope
    ieqdriverbase.cpp
    ieqpro.cpp)

target_link_libraries(indi_ieq_telescope indidriver)

install(TARGETS indi_ieq_telescope RUNTIME DESTINATION bin)

# ########## IOptronV3 / CEM120 #############
add_executable(indi_ioptronv3_telescope
    ioptronv3driver.cpp
    ioptronv3.cpp)

target_link_libraries(indi_ioptronv3_telescope indidriver)

install(TARGETS indi_ioptronv3_telescope RUNTIME DESTINATION bin)

# ########## Explore Scientific PMC8 #############
add_executable(indi_pmc8_telescope
    pmc8driver.cpp
    pmc8.cpp)

target_link_libraries(indi_pmc8_telescope indidriver)

install(TARGETS indi_pmc8_telescope RUNTIME DESTINATION bin)

# ########## Telescope Simulator ##############
add_executable(indi_simulator_telescope
    telescope_simulator.cpp
    scopesim_helper.cpp)

target_link_libraries(indi_simulator_telescope indidriver)

install(TARGETS indi_simulator_telescope RUNTIME DESTINATION bin)

# ########## Telescope Scripting Gateway ##############
add_executable(indi_script_telescope
    telescope_script.cpp)

target_link_libraries(indi_script_telescope indidriver)

install(TARGETS indi_script_telescope RUNTIME DESTINATION bin)

# ########## Skywatcher Alt-Az Mount ##############
add_executable(indi_skywatcherAltAzMount
    skywatcherAPIMount.cpp
    skywatcherAPI.cpp)

target_link_libraries(indi_skywatcherAltAzMount indidriver AlignmentDriver)

install(TARGETS indi_skywatcherAltAzMount RUNTIME DESTINATION bin)

=== drivers/video/CMakeLists.txt ===
# ########## INDI::CCD V4L Driver ###############

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
    SET(v4l2driverccd_SRC
        lx/Lx.cpp
        v4l2driver.cpp
        indi_v4l2driver.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(v4l2driverccd v4l2driverccd_SRC 10 cpp)
    ENDIF()

    add_executable(indi_v4l2_ccd ${v4l2driverccd_SRC} ${libwebcam_C_SRC} ${libwebcam_CXX_SRC})
    target_link_libraries(indi_v4l2_ccd ${JPEG_LIBRARY} indidriver)
    install(TARGETS indi_v4l2_ccd RUNTIME DESTINATION bin)

    # For DBK21 camera
    IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
        install(FILES 80-dbk21-camera.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
    ENDIF()
ENDIF()

=== drivers/weather/CMakeLists.txt ===
# ########## Weather Simulator ###############

SET(weathersimulator_SRC
    weathersimulator.cpp)

add_executable(indi_simulator_weather ${weathersimulator_SRC})
target_link_libraries(indi_simulator_weather indidriver)
install(TARGETS indi_simulator_weather RUNTIME DESTINATION bin)

# ########## Weather Meta Driver ###############
SET(weathermeta_SRC
    weathermeta.cpp)

add_executable(indi_meta_weather ${weathermeta_SRC})
target_link_libraries(indi_meta_weather indidriver)
install(TARGETS indi_meta_weather RUNTIME DESTINATION bin)

# ########## Weather File Watcher ###############
SET(weatherwatcher_SRC
    weatherwatcher.cpp)

add_executable(indi_watcher_weather ${weatherwatcher_SRC})
target_link_libraries(indi_watcher_weather indidriver ${CURL})
install(TARGETS indi_watcher_weather RUNTIME DESTINATION bin)

# ########## Weather Safety Proxy ###############
SET(weathersafetyproxy_SRC
    weather_safety_proxy.cpp)
add_executable(indi_weather_safety_proxy ${weathersafetyproxy_SRC})
target_link_libraries(indi_weather_safety_proxy indidriver ${CURL})
install(TARGETS indi_weather_safety_proxy RUNTIME DESTINATION bin)

# ########## MBox Driver ###############
SET(mbox_SRC
    mbox.cpp)

add_executable(indi_mbox_weather ${mbox_SRC})
target_link_libraries(indi_mbox_weather indidriver)
install(TARGETS indi_mbox_weather RUNTIME DESTINATION bin)

# ########## Pegasus Uranus Meteo Driver ###############
SET(uranusmeteo_SRC
    uranusmeteo.cpp)

add_executable(indi_uranus_weather ${uranusmeteo_SRC})
target_link_libraries(indi_uranus_weather indidriver)
install(TARGETS indi_uranus_weather RUNTIME DESTINATION bin)

# ########## Vantage Driver ###############
SET(vantage_SRC
    vantage.cpp)

add_executable(indi_vantage_weather ${vantage_SRC})
target_link_libraries(indi_vantage_weather indidriver)
install(TARGETS indi_vantage_weather RUNTIME DESTINATION bin)

# ########## OpenWeatherMap Driver ###############
SET(OpenWeatherMap_SRC
    openweathermap.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(OpenWeatherMap OpenWeatherMap_SRC 10 cpp)
ENDIF()

add_executable(indi_openweathermap_weather ${OpenWeatherMap_SRC})
target_link_libraries(indi_openweathermap_weather indidriver ${CURL})
install(TARGETS indi_openweathermap_weather RUNTIME DESTINATION bin)

=== debian/changelog ===
indi (1.9.9+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libindi-dev: Add Multi-Arch: same.

  [ Pino Toscano ]
  * Backport part of upstream commit fa9958ea403e444bc9a50d5722789b0b66b33c28
    to add an include needed to build on non-Linux platforms, fixing the build
    on Hurd for good; patch non_linux_include.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Sep 2025 07:22:01 +0200

indi (1.9.9+dfsg-4) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit 01b147be9bd373730fd48cdc0003b1312363164f to add
    missing #includes, particularly needed when building with GCC 15; patch
    upstream_Add-includes-to-fix-build-with-GCC15-C-23-2165.patch.
    (Closes: #1096834)
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Backport upstream commit 3078819674133ece01cb271d32b8cfe446adf706 to fix
    build on Hurd; patch upstream_Fix-build-on-non-Linux-1795.patch
    - drop patch hurd_include.diff, obsolete

 -- Pino Toscano <pino@debian.org>  Sat, 20 Sep 2025 08:47:35 +0200

=== debian/control ===
Source: indi
Section: misc
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.13~),
               debhelper-compat (= 13),
               libcfitsio-dev,
               libcurl4-gnutls-dev,
               libev-dev,
               libfftw3-dev,
               libgsl-dev,
               libjpeg-dev,
               libnova-dev (>= 0.16),
               libogg-dev,
               libtheora-dev,
               libusb-1.0-0-dev,
               pkgconf,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 4.7.2
Homepage: https://www.indilib.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/indi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/indi

Package: libindidriver1
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- driver library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the driver shared library.

Package: libindialignmentdriver1
Section: libs
Architecture: any
Depends: libindi-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- alignment driver lib
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the alignment driver shared library.

Package: libindilx200-1
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- lx200 driver lib
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the lx200 driver shared library.

Package: libindiclient1
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- client library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the client shared library.

Package: libindi-plugins
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- plugins
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains binary plugins.

Package: libindi-dev
Section: libdevel
Architecture: any
Depends: libcfitsio-dev,
         libusb-1.0-0-dev,
         ${so:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- development files
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains development headers and libraries for the INDI library.

Package: libindi-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Instrument-Neutral Device Interface library -- shared data
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the data files for the INDI library.

Package: indi-bin
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: INDI server, drivers and tools
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the INDI server, the drivers for the supported
 astronomical instrumentation, and other INDI tools.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%indi-$1.tar.gz%, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//" \
  https://github.com/indilib/indi/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
